Description: Drop the non-buildable and MacOS specific plugins
 ImageJ is released with two plugins, both of which are specific to
 MacOS.  These are MacAdapter and MacClipboard. They are distributed
 in both source and compiled form but during the build, these are not
 actually built, the *.java files are simply copied into the jar file.
 This files cannot be built.  MacAdapter makes use of com.apple.eawt
 (an Apple Java extension for integrating Java programs with the MacOS
 environment).  MacClipboard makes uses of QuickTime java libraries at
 runtime.  This patch simply drops those files.  They have non-free
 dependencies and are useless in a Debian systemm.
Author: Carnë Draug <carandraug+dev@gmail.com>
Last-Update: 2017-08-12
--- a/build.xml
+++ b/build.xml
@@ -16,7 +16,6 @@
     <copy file="IJ_Props.txt" todir="build" />
     <copy file="images/microscope.gif" tofile="build/microscope.gif" />
     <copy file="images/about.jpg" tofile="build/about.jpg" />
-	<copy file="plugins/MacAdapter.class" tofile="build/MacAdapter.class" /> 
     <copy todir="build/macros"><fileset dir="macros"/></copy>
     <!-- Build ij.jar. -->
     <jar jarfile="ij.jar" basedir="build"
